# Generated by Django 4.1.10 on 2024-01-30 16:54

import wagtail.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("donate", "0041_donateprojectpage_is_sticky_and_more"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="donatehomepage",
            name="custom_url_1",
        ),
        migrations.RemoveField(
            model_name="donatehomepage",
            name="custom_url_1_text",
        ),
        migrations.RemoveField(
            model_name="donatehomepage",
            name="custom_url_2",
        ),
        migrations.RemoveField(
            model_name="donatehomepage",
            name="custom_url_2_text",
        ),
        migrations.AddField(
            model_name="donatehomepage",
            name="custom_links",
            field=wagtail.fields.StreamField(
                [
                    (
                        "custom_link",
                        wagtail.blocks.StructBlock(
                            [
                                ("text", wagtail.blocks.CharBlock(label="Nadpis")),
                                ("url", wagtail.blocks.URLBlock(label="Odkaz")),
                            ],
                            label="Vlastní odkaz",
                        ),
                    )
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Vlastní odkazy",
            ),
        ),
    ]
